## chromium 0.9-8

=== src/Makefile ===
#############################################################################
# Makefile for building chromium
# Generated by tmake at 22:25, 2001/05/21
#     Project: CHROMIUM
#    Template: app
#############################################################################

include ../config.mak
####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
INCPATH	=	-I../support/include -I../support/glpng/include -I/usr/X11R6/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	textGeometry.h \
		Audio.h \
		AudioOpenAL.h \
		AudioSDLMixer.h \
		Ammo.h \
		Config.h \
		EnemyAircraft.h \
		EnemyAircraft_Straight.h \
		EnemyAircraft_Omni.h \
		EnemyAircraft_RayGun.h \
		EnemyAircraft_Tank.h \
		EnemyAircraft_Gnat.h \
		EnemyAircraft_Boss00.h \
		EnemyAircraft_Boss01.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		Explosions.h \
		HeroAircraft.h \
		HeroAmmo.h \
		Global.h \
		Ground.h \
		GroundMetal.h \
		GroundMetalSegment.h \
		GroundSea.h \
		GroundSeaSegment.h \
		GroundSegment.h \
		HiScore.h \
		MainToolkit.h \
		MainGLUT.h \
		MainSDL.h \
		MainGL.h \
		MenuGL.h \
		NCString.h \
		PowerUps.h \
		ScreenItem.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		TexFont.h \
		compatibility.h \
		define.h \
		extern.h \
		main.h
SOURCES =	textGeometryChromium.cpp \
		textGeometryBSU.cpp \
		Audio.cpp \
		AudioOpenAL.cpp \
		AudioSDLMixer.cpp \
		Ammo.cpp \
		Config.cpp \
		EnemyAircraft.cpp \
		EnemyAircraft_Straight.cpp \
		EnemyAircraft_Omni.cpp \
		EnemyAircraft_RayGun.cpp \
		EnemyAircraft_Tank.cpp \
		EnemyAircraft_Gnat.cpp \
		EnemyAircraft_Boss00.cpp \
		EnemyAircraft_Boss01.cpp \
		EnemyAmmo.cpp \
		EnemyFleet.cpp \
		Explosions.cpp \
		HeroAircraft.cpp \
		HeroAmmo.cpp \
		Global.cpp \
		Ground.cpp \
		GroundMetal.cpp \
		GroundMetalSegment.cpp \
		GroundSea.cpp \
		GroundSeaSegment.cpp \
		GroundSegment.cpp \
		HiScore.cpp \
		NCString.cpp \
		MainToolkit.cpp \
		MainGLUT.cpp \
		MainSDL.cpp \
		MainSDL_Event.cpp \
		MainGL.cpp \
		MenuGL.cpp \
		PowerUps.cpp \
		ScreenItem.cpp \
		ScreenItemAdd.cpp \
		StatusDisplay.cpp \
		TexFont.cpp \
		main.cpp
OBJECTS =	textGeometryChromium.o \
		textGeometryBSU.o \
		Audio.o \
		AudioOpenAL.o \
		AudioSDLMixer.o \
		Ammo.o \
		Config.o \
		EnemyAircraft.o \
		EnemyAircraft_Straight.o \
		EnemyAircraft_Omni.o \
		EnemyAircraft_RayGun.o \
		EnemyAircraft_Tank.o \
		EnemyAircraft_Gnat.o \
		EnemyAircraft_Boss00.o \
		EnemyAircraft_Boss01.o \
		EnemyAmmo.o \
		EnemyFleet.o \
		Explosions.o \
		HeroAircraft.o \
		HeroAmmo.o \
		Global.o \
		Ground.o \
		GroundMetal.o \
		GroundMetalSegment.o \
		GroundSea.o \
		GroundSeaSegment.o \
		GroundSegment.o \
		HiScore.o \
		NCString.o \
		MainToolkit.o \
		MainGLUT.o \
		MainSDL.o \
		MainSDL_Event.o \
		MainGL.o \
		MenuGL.o \
		PowerUps.o \
		ScreenItem.o \
		ScreenItemAdd.o \
		StatusDisplay.o \
		TexFont.o \
		main.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	chromium
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: CHROMIUM.pro
	tmake CHROMIUM.pro -o Makefile

dist:
	$(TAR) CHROMIUM.tar CHROMIUM.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) CHROMIUM.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

textGeometryChromium.o: textGeometryChromium.cpp \
		compatibility.h

textGeometryBSU.o: textGeometryBSU.cpp \
		compatibility.h

Audio.o: Audio.cpp \
		Audio.h \
		Config.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h

AudioOpenAL.o: AudioOpenAL.cpp \
		AudioOpenAL.h \
		Audio.h \
		Config.h \
		compatibility.h \
		extern.h \
		define.h \
		Global.h \
		TexFont.h \
		MainToolkit.h

AudioSDLMixer.o: AudioSDLMixer.cpp \
		AudioSDLMixer.h \
		Audio.h \
		extern.h \
		define.h \
		Config.h \
		compatibility.h \
		Global.h \
		TexFont.h \
		MainToolkit.h

Ammo.o: Ammo.cpp \
		Ammo.h

Config.o: Config.cpp \
		Config.h \
		compatibility.h \
		extern.h \
		HiScore.h \
		define.h \
		NCString.h \
		Audio.h \
		Ground.h \
		MenuGL.h \
		TexFont.h \
		MainToolkit.h \
		MainGL.h \
		PowerUps.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		Explosions.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		GroundMetal.h

EnemyAircraft.o: EnemyAircraft.cpp \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		EnemyAircraft_Straight.h \
		EnemyAircraft_Omni.h \
		EnemyAircraft_RayGun.h \
		EnemyAircraft_Tank.h \
		EnemyAircraft_Gnat.h \
		EnemyAircraft_Boss00.h \
		EnemyAircraft_Boss01.h

EnemyAircraft_Straight.o: EnemyAircraft_Straight.cpp \
		EnemyAircraft_Straight.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Omni.o: EnemyAircraft_Omni.cpp \
		EnemyAircraft_Omni.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_RayGun.o: EnemyAircraft_RayGun.cpp \
		EnemyAircraft_RayGun.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Tank.o: EnemyAircraft_Tank.cpp \
		EnemyAircraft_Tank.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Gnat.o: EnemyAircraft_Gnat.cpp \
		EnemyAircraft_Gnat.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Boss00.o: EnemyAircraft_Boss00.cpp \
		EnemyAircraft_Boss00.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAircraft_Boss01.o: EnemyAircraft_Boss01.cpp \
		EnemyAircraft_Boss01.h \
		EnemyAircraft.h \
		ScreenItem.h \
		Config.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h

EnemyAmmo.o: EnemyAmmo.cpp \
		EnemyAmmo.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h \
		HeroAircraft.h

EnemyFleet.o: EnemyFleet.cpp \
		EnemyFleet.h \
		compatibility.h \
		EnemyAircraft.h \
		ScreenItem.h \
		extern.h \
		Ammo.h \
		Audio.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h

Explosions.o: Explosions.cpp \
		Explosions.h \
		compatibility.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		HeroAircraft.h \
		ScreenItem.h

HeroAircraft.o: HeroAircraft.cpp \
		HeroAircraft.h \
		compatibility.h \
		ScreenItem.h \
		define.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		HeroAmmo.h \
		Ammo.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		PowerUps.h \
		Audio.h \
		StatusDisplay.h

HeroAmmo.o: HeroAmmo.cpp \
		HeroAmmo.h \
		compatibility.h \
		define.h \
		Ammo.h \
		Config.h \
		extern.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h

Global.o: Global.cpp \
		Global.h \
		define.h \
		TexFont.h \
		compatibility.h \
		MainToolkit.h \
		extern.h \
		HiScore.h \
		Config.h \
		Audio.h \
		Ground.h \
		MenuGL.h \
		MainGL.h \
		PowerUps.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		Explosions.h \
		HeroAircraft.h \
		ScreenItemAdd.h \
		StatusDisplay.h \
		GroundMetal.h \
		AudioOpenAL.h \
		AudioSDLMixer.h

Ground.o: Ground.cpp \
		Ground.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h

GroundMetal.o: GroundMetal.cpp \
		GroundMetal.h \
		compatibility.h \
		Ground.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Config.h \
		GroundMetalSegment.h \
		GroundSegment.h

GroundMetalSegment.o: GroundMetalSegment.cpp \
		GroundMetalSegment.h \
		GroundSegment.h \
		compatibility.h \
		Config.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Ground.h

GroundSea.o: GroundSea.cpp \
		GroundSea.h \
		compatibility.h \
		Ground.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		GroundSeaSegment.h \
		GroundSegment.h

GroundSeaSegment.o: GroundSeaSegment.cpp \
		GroundSeaSegment.h \
		GroundSegment.h \
		compatibility.h \
		define.h \
		Global.h \
		TexFont.h \
		MainToolkit.h \
		Ground.h

GroundSegment.o: GroundSegment.cpp \
		GroundSegment.h \
		Global.h \
		define.h \
		TexFont.h \
		compatibility.h \
		MainToolkit.h \
		Ground.h

HiScore.o: HiScore.cpp \
		HiScore.h \
		define.h \
		extern.h \
		HeroAircraft.h \
		compatibility.h \
		ScreenItem.h

NCString.o: NCString.cpp \
		NCString.h

MainToolkit.o: MainToolkit.cpp \
		MainToolkit.h

MainGLUT.o: MainGLUT.cpp \
		MainGLUT.h \
		MainToolkit.h \
		MainGL.h \
		Config.h \
		compatibility.h \
		HiScore.h \
		define.h \
		Global.h \
		TexFont.h \
		Audio.h \
		MenuGL.h \
		HeroAircraft.h \
		ScreenItem.h

MainSDL.o: MainSDL.cpp \
		MainSDL.h \
		MainToolkit.h \
		compatibility.h \
		Config.h \
		Global.h \
		define.h \
		TexFont.h \
		extern.h \
		HeroAircraft.h \
		ScreenItem.h \
		Audio.h \
		MainGL.h

MainSDL_Event.o: MainSDL_Event.cpp \
		MainSDL.h \
		MainToolkit.h \
		Config.h \
		compatibility.h \
		Global.h \
		define.h \
		TexFont.h \
		HeroAircraft.h \
		ScreenItem.h \
		MenuGL.h \
		Audio.h \
		Ground.h

MainGL.o: MainGL.cpp \
		MainGL.h \
		compatibility.h \
		Config.h \
		extern.h \
		TexFont.h \
		Global.h \
		define.h \
		MainToolkit.h \
		HiScore.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		ScreenItem.h \
		HeroAmmo.h \
		Ammo.h \
		EnemyAmmo.h \
		HeroAircraft.h \
		Explosions.h \
		PowerUps.h \
		Audio.h \
		MenuGL.h \
		StatusDisplay.h \
		ScreenItemAdd.h \
		GroundMetal.h \
		Ground.h \
		GroundSea.h

MenuGL.o: MenuGL.cpp \
		MenuGL.h \
		compatibility.h \
		TexFont.h \
		MainToolkit.h \
		Config.h \
		extern.h \
		define.h \
		Global.h \
		HiScore.h \
		Ground.h \
		Audio.h \
		textGeometry.h

PowerUps.o: PowerUps.cpp \
		PowerUps.h \
		compatibility.h \
		ScreenItem.h \
		Config.h \
		extern.h \
		Global.h \
		define.h \
		TexFont.h \
		MainToolkit.h \
		Explosions.h \
		EnemyFleet.h \
		EnemyAircraft.h \
		HeroAircraft.h \
		ScreenItemAdd.h

ScreenItem.o: ScreenItem.cpp \
		ScreenItem.h

ScreenItemAdd.o: ScreenItemAdd.cpp \
		ScreenItemAdd.h \

=== debian/changelog ===
chromium (0.9-8) unstable; urgency=low

  * Patched /src/NCString.cpp file to fix g++3.0 build problems 
    (closes: #120509) 

 -- Peter Joseph <kneecaps@debian.org>  Thu, 22 Nov 2001 16:15:55 +0000

chromium (0.9-7) unstable; urgency=low

  * Fixed old SDL dependency by building on latest SDL (closes: #117030)
  * Removed CVS files from package (closes: #113740) 

 -- Peter Joseph <kneecaps@debian.org>  Thu, 25 Oct 2001 12:14:11 +0100

chromium (0.9-6) unstable; urgency=low
  
  * Built in standard MesaGL environment (closes: #105763 #105583)
  * Adjusted docs file
  * Fixed menu entry (closes: #105770)

 -- Peter Joseph <kneecaps@debian.org>  Mon,  6 Aug 2001 14:38:03 +0100

chromium (0.9-5) unstable; urgency=low

  * Added new options to man page

 -- Peter Joseph <kneecaps@debian.org>  Fri,  3 Aug 2001 12:52:06 +0100

chromium (0.9-4) unstable; urgency=low

  * Added various options to man page
  * Changed wrapper script to enable options to be passed to chromium

 -- Peter Joseph <kneecaps@debian.org>  Fri,  3 Aug 2001 02:48:01 +0100

chromium (0.9-3) unstable; urgency=low

  * Added menu entry (closes: #105770)
  * Fixed build deps to add xlibmesa-dev (closes: #105800 #105645)

 -- Peter Joseph <kneecaps@debian.org>  Thu,  2 Aug 2001 22:42:46 +0100

chromium (0.9-2.1) unstable; urgency=low

  * Link with libopenal and libglpng instead of the one in the source (closes: #105549) 

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  2 Aug 2001 16:56:50 +0200

chromium (0.9-2) unstable; urgency=low

  * Fixed incorrect bin location

 -- Peter Joseph <kneecaps@debian.org>  Fri, 13 Jul 2001 03:57:08 +0100

chromium (0.9-1) unstable; urgency=low

  * Initial release (closes: #101611) 
  * Implemented chromium wrapper to set data env var

 -- Peter Joseph <kneecaps@debian.org>  Thu, 12 Jul 2001 01:58:32 +0100

=== debian/control ===
Source: chromium
Section: games
Priority: optional
Maintainer: Peter Joseph <kneecaps@debian.org>
Build-Depends: debhelper (>> 3.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsmpeg-dev, libopenal-dev, libglpng-dev, xlibmesa-dev
Standards-Version: 3.5.2

Package: chromium
Architecture: any
Depends: ${shlibs:Depends}, chromium-data
Description: Slick scrolling space shooter
 Chromium is a top down fast paced high action scrolling space shooter using 
 sdl libs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --disable-setup
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp
	mv bin/chromium bin/chromium.real
	cp wrapper/chromiumwrapper bin/chromium

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# it's easier to bypass this than fix it
	install -o root -g root -m 755 bin/chromium debian/chromium/usr/games
	install -o root -g root -m 755 bin/chromium.real debian/chromium/usr/games/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/chromium.6
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## chromium 0.9.12

=== src-setup/Makefile ===
#############################################################################
# Makefile for building chromium-setup
# Generated by tmake at 00:47, 2001/05/21
#     Project: SETUP
#    Template: app
#############################################################################

include ../config.mak
####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -D_REENTRANT
CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -D_REENTRANT
INCPATH	=	-I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib  $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS) -lm -pthread -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	Audio.h \
		ConfigFile.h \
		HelpPage.h \
		HiScoreWidget.h \
		MainWidget.h \
		PlayList.h \
		../src/define.h \
		../src/Config.h \
		../src/HiScore.h \
		main.h
SOURCES =	Audio.cpp \
		ConfigFile.cpp \
		HelpPage.cpp \
		HiScoreWidget.cpp \
		MainWidget.cpp \
		PlayList.cpp \
		../src/Config.cpp \
		../src/HiScore.cpp \
		main.cpp
OBJECTS =	Audio.o \
		ConfigFile.o \
		HelpPage.o \
		HiScoreWidget.o \
		MainWidget.o \
		PlayList.o \
		../src/Config.o \
		../src/HiScore.o \
		main.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	moc/moc_ConfigFile.cpp \
		moc/moc_HelpPage.cpp \
		moc/moc_HiScoreWidget.cpp \
		moc/moc_MainWidget.cpp \
		moc/moc_PlayList.cpp
OBJMOC	=	moc/moc_ConfigFile.o \
		moc/moc_HelpPage.o \
		moc/moc_HiScoreWidget.o \
		moc/moc_MainWidget.o \
		moc/moc_PlayList.o
DIST	=	
TARGET	=	chromium-setup
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: SETUP.pro
	tmake SETUP.pro -o Makefile

dist:
	$(TAR) SETUP.tar SETUP.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) SETUP.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

Audio.o: Audio.cpp \
		Audio.h

ConfigFile.o: ConfigFile.cpp \
		ConfigFile.h \
		../src/Config.h

HelpPage.o: HelpPage.cpp \
		HelpPage.h

HiScoreWidget.o: HiScoreWidget.cpp \
		HiScoreWidget.h \
		../src/define.h \
		../src/Config.h \
		../src/HiScore.h

MainWidget.o: MainWidget.cpp \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h \
		../src/define.h \
		../src/Config.h

PlayList.o: PlayList.cpp \
		PlayList.h \
		Audio.h

../src/Config.o: ../src/Config.cpp \
		../src/Config.h \
		../src/compatibility.h \
		../src/extern.h \
		../src/HiScore.h \
		../src/define.h \
		../src/NCString.h \
		Audio.h \
		../src/Ground.h \
		../src/MenuGL.h \
		../src/TexFont.h \
		../src/MainToolkit.h \
		../src/MainGL.h \
		../src/PowerUps.h \
		../src/ScreenItem.h \
		../src/HeroAmmo.h \
		../src/Ammo.h \
		../src/EnemyAmmo.h \
		../src/EnemyFleet.h \
		../src/EnemyAircraft.h \
		../src/Explosions.h \
		../src/HeroAircraft.h \
		../src/ScreenItemAdd.h \
		../src/StatusDisplay.h \
		../src/GroundMetal.h

../src/HiScore.o: ../src/HiScore.cpp \
		../src/HiScore.h \
		../src/define.h \
		../src/extern.h \
		../src/HeroAircraft.h \
		../src/compatibility.h \
		../src/ScreenItem.h

main.o: main.cpp \
		main.h \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h \
		../src/Config.h \
		../src/compatibility.h \
		../src/HiScore.h \
		../src/define.h \
		icon.xpm

moc/moc_ConfigFile.o: moc/moc_ConfigFile.cpp \
		ConfigFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_ConfigFile.o moc/moc_ConfigFile.cpp

moc/moc_HelpPage.o: moc/moc_HelpPage.cpp \
		HelpPage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_HelpPage.o moc/moc_HelpPage.cpp

moc/moc_HiScoreWidget.o: moc/moc_HiScoreWidget.cpp \
		HiScoreWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_HiScoreWidget.o moc/moc_HiScoreWidget.cpp

moc/moc_MainWidget.o: moc/moc_MainWidget.cpp \
		MainWidget.h \
		HelpPage.h \
		PlayList.h \
		Audio.h \
		ConfigFile.h \
		HiScoreWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_MainWidget.o moc/moc_MainWidget.cpp

moc/moc_PlayList.o: moc/moc_PlayList.cpp \
		PlayList.h \
		Audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc/moc_PlayList.o moc/moc_PlayList.cpp

moc/moc_ConfigFile.cpp: ConfigFile.h
	$(MOC) ConfigFile.h -o moc/moc_ConfigFile.cpp

moc/moc_HelpPage.cpp: HelpPage.h
	$(MOC) HelpPage.h -o moc/moc_HelpPage.cpp

moc/moc_HiScoreWidget.cpp: HiScoreWidget.h
	$(MOC) HiScoreWidget.h -o moc/moc_HiScoreWidget.cpp

moc/moc_MainWidget.cpp: MainWidget.h
	$(MOC) MainWidget.h -o moc/moc_MainWidget.cpp

moc/moc_PlayList.cpp: PlayList.h
	$(MOC) PlayList.h -o moc/moc_PlayList.cpp

=== src/Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 CC	=	gcc
 CXX	=	g++
-CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
-CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DAUDIO_OPENAL -D_REENTRANT
+CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT
+CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -O2 -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT
 INCPATH	=	-I../support/include -I../support/glpng/include -I/usr/X11R6/include
 LINK	=	g++
 LFLAGS	=	
-LIBS	=	$(SUBLIBS) $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
+LIBS	=	$(SUBLIBS) -L../support/glpng/lib -L/usr/lib -L/usr/X11R6/lib -L/usr/local/lib $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
 MOC	=	$(QTDIR)/bin/moc
 UIC	=	$(QTDIR)/bin/uic
 
@@ -684,8 +684,3 @@
 		HeroAircraft.h \
 		ScreenItemAdd.h
 
-ScreenItem.o: ScreenItem.cpp \
-		ScreenItem.h
-
-ScreenItemAdd.o: ScreenItemAdd.cpp \
-		ScreenItemAdd.h \

=== support/openal/Makefile ===
all: linux

include ../../config.mak

linux: FORCE
	mkdir -p ./lib
	cd linux; sh autogen.sh; $(OPENAL_CONFIG_OPTS); $(MAKE)
	cp ./linux/src/libopenal.a ./lib

clean:
	-rm -f ./linux/config.cache
	-rm -f ./linux/config.log
	-rm -f ./linux/config.status
	-rm -f ./lib/libopenal.a
	-rm -f *.bck
	( cd linux ; $(MAKE) distclean )

FORCE:

=== support/glpng/src/Makefile ===
#############################################################################
# Makefile for building libglpng.a
# Generated by tmake at 16:37, 2000/12/10
#     Project: glpng
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -O2
CXXFLAGS=	-pipe -O2
INCPATH	=	-I../include -I/usr/include -I/usr/X11R6/include
AR	=	ar cqs
RANLIB	=	
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	png/png.h \
		png/pngconf.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/inffast.h \
		zlib/inffixed.h \
		zlib/inftrees.h \
		zlib/infutil.h \
		zlib/zconf.h \
		zlib/zlib.h \
		zlib/zutil.h
SOURCES =	glpng.c \
		png/png.c \
		png/pngerror.c \
		png/pngget.c \
		png/pngmem.c \
		png/pngpread.c \
		png/pngread.c \
		png/pngrio.c \
		png/pngrtran.c \
		png/pngrutil.c \
		png/pngset.c \
		png/pngtrans.c \
		zlib/adler32.c \
		zlib/crc32.c \
		zlib/infblock.c \
		zlib/infcodes.c \
		zlib/inffast.c \
		zlib/inflate.c \
		zlib/inftrees.c \
		zlib/infutil.c \
		zlib/zutil.c
OBJECTS =	glpng.o \
		png/png.o \
		png/pngerror.o \
		png/pngget.o \
		png/pngmem.o \
		png/pngpread.o \
		png/pngread.o \
		png/pngrio.o \
		png/pngrtran.o \
		png/pngrutil.o \
		png/pngset.o \
		png/pngtrans.o \
		zlib/adler32.o \
		zlib/crc32.o \
		zlib/infblock.o \
		zlib/infcodes.o \
		zlib/inffast.o \
		zlib/inflate.o \
		zlib/inftrees.o \
		zlib/infutil.o \
		zlib/zutil.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	libglpng.a

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)
	mv -f $(TARGET) ../lib

staticlib: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake: Makefile

Makefile: glpng.pro
	tmake glpng.pro -o Makefile

dist:
	$(TAR) glpng.tar glpng.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) glpng.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core
	-rm -f *.bck

####### Sub-libraries


###### Combined headers


####### Compile

glpng.o: glpng.c \
		png/png.h

png/png.o: png/png.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngerror.o: png/pngerror.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngget.o: png/pngget.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngmem.o: png/pngmem.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngpread.o: png/pngpread.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngread.o: png/pngread.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrio.o: png/pngrio.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrtran.o: png/pngrtran.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngrutil.o: png/pngrutil.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngset.o: png/pngset.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

png/pngtrans.o: png/pngtrans.c \
		png/png.h \
		png/../zlib/zlib.h \
		png/pngconf.h

zlib/adler32.o: zlib/adler32.c \
		zlib/zlib.h \
		zlib/zconf.h

zlib/crc32.o: zlib/crc32.c \
		zlib/zlib.h \
		zlib/zconf.h

zlib/infblock.o: zlib/infblock.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h \
		zlib/inftrees.h \
		zlib/infcodes.h \
		zlib/infutil.h

zlib/infcodes.o: zlib/infcodes.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/infutil.h \
		zlib/inffast.h

zlib/inffast.o: zlib/inffast.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/infblock.h \
		zlib/infcodes.h \
		zlib/infutil.h \
		zlib/inffast.h

zlib/inflate.o: zlib/inflate.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h

zlib/inftrees.o: zlib/inftrees.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/inftrees.h \
		zlib/inffixed.h

zlib/infutil.o: zlib/infutil.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h \
		zlib/infblock.h \
		zlib/inftrees.h \
		zlib/infcodes.h \
		zlib/infutil.h

zlib/zutil.o: zlib/zutil.c \
		zlib/zutil.h \
		zlib/zlib.h \
		zlib/zconf.h

=== support/openal/linux/test/Makefile ===
# Generated automatically from Makefile.in by configure.
all:

distclean: clean

clean:
	rm -f *.bck

## chromium 71.0.3578.62

=== debian/changelog ===
chromium (71.0.3578.62-1) unstable; urgency=medium

  * New upstream beta release.
  * Rename the source package to chromium.
  * Build using the system jsoncpp library.
  * Remove non-free unrar source from the upstream tarball (closes: #914487).
    - Requires safe browsing inspection of rar files to be disabled.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 21 Nov 2018 02:37:35 +0000

chromium-browser (70.0.3538.110-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-17479: Use-after-free in GPU.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 20 Nov 2018 00:45:46 +0000

chromium-browser (70.0.3538.102-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-17478: Out of bounds memory access in V8.  Reported by
      cloudfuzzer
  * Fix new lintian warnings.
  * Drop libjs-excanvas build dependency.
  * Add support for building with harfbuzz 2.1.1.
  * Document how to run chromium as root (closes: #838534).
  * Output debian specific instructions when no working sandbox is available.
  * Do not rely on transitive recommendation for the sandbox (closes: #913116).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 16 Nov 2018 03:12:53 +0000

chromium-browser (70.0.3538.67-3) unstable; urgency=medium

  * Fix a compiler warning.
  * Move the setuid sandbox into a separate package (closes: #839277).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Nov 2018 17:30:16 +0000

chromium-browser (70.0.3538.67-2) unstable; urgency=medium

  * Restore support for building with gtk2.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 23 Oct 2018 01:11:35 +0000

chromium-browser (70.0.3538.67-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-17462: Sandbox escape in AppCache. Reported by Ned Williamson
      and Niklas Baumstark
    - CVE-2018-17463: Remote code execution in V8. Reported by Ned Williamson
      and Niklas Baumstark
    - Heap buffer overflow in Little CMS in PDFium. Reported by Quang Nguyễn
    - CVE-2018-17464: URL spoof in Omnibox. Reported by xisigr
    - CVE-2018-17465: Use after free in V8. Reported by Lin Zuojian
    - CVE-2018-17466: Memory corruption in Angle. Reported by Omair
    - CVE-2018-17467: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-17468: Cross-origin URL disclosure in Blink. Reported by James
      Lee
    - CVE-2018-17469: Heap buffer overflow in PDFium. Reported by Zhen Zhou
    - CVE-2018-17470: Memory corruption in GPU Internals. Reported by Zhe Jin
    - CVE-2018-17471: Security UI occlusion in full screen mode. Reported by
      Lnyas Zhang
    - CVE-2018-17473: URL spoof in Omnibox. Reported by Khalil Zhani
    - CVE-2018-17474: Use after free in Blink. Reported by Zhe Jin
    - CVE-2018-17475: URL spoof in Omnibox. Reported by Vladimir Metnew
    - CVE-2018-17476: Security UI occlusion in full screen mode. Reported by
      Khalil Zhani
    - CVE-2018-5179: Lack of limits on update() in ServiceWorker. Reported by
      Yannic Bonenberger
    - CVE-2018-17477: UI spoof in Extensions. Reported by Aaron Muir Hamilton
  * Fix build failure on i386.
  * Fix installation path of the master preferences file (closes: #911056).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 16 Oct 2018 12:36:22 +0000

chromium-browser (70.0.3538.54-2) unstable; urgency=medium

  * Build with gcc 8 (closes: #901368).
  * Move the master preferences file to /etc/chromium (closes: #891232).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Oct 2018 00:49:46 +0000

chromium-browser (70.0.3538.54-1) unstable; urgency=medium

  * New upstream beta release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Oct 2018 04:18:08 +0000

chromium-browser (69.0.3497.100-1) unstable; urgency=medium

  * New upstream stable release.
  * Update standards version to 4.2.1.
  * Clarify debugging section in README.debian (closes: #910842).
  * Remove ConvertUTF from the upstream tarball (closes: #900596).
  * Load all extensions installed to /usr/share/chromium/extensions.
    - Thanks to Michael Meskes (closes: #890392).
  * Remove audio_capture_enable setting from the default preferences
    (closes: #884887).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Oct 2018 02:35:46 +0000

chromium-browser (69.0.3497.92-1) unstable; urgency=medium

  * New upstream security release.
    - Function signature mismatch in WebAssembly. Reported by Kevin Cheung
    - URL Spoofing in Omnibox. Reported by evi1m0

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 13 Sep 2018 03:12:53 +0000

chromium-browser (69.0.3497.81-3) unstable; urgency=medium

  * Move another file needed for the armhf build to where it is expected.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 07 Sep 2018 00:06:13 +0000

chromium-browser (69.0.3497.81-2) unstable; urgency=medium

  * Disable swiftshader.
  * Move file needed for the armhf build to where it is expected.
  * Document disabled built-in extensions in README.debian (closes: #886358).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 06 Sep 2018 01:45:12 +0000

chromium-browser (69.0.3497.81-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2018-16065: Out of bounds write in V8. Reported by Brendon Tiszka
    - CVE-2018-16066: Out of bounds read in Blink. Reported by cloudfuzzer
    - CVE-2018-16067: Out of bounds read in WebAudio. Reported by Zhe Jin
    - CVE-2018-16068: Out of bounds write in Mojo. Reported by Mark Brand
    - CVE-2018-16069: Out of bounds read in SwiftShader. Reported by Mark Brand
    - CVE-2018-16070: Integer overflow in Skia. Reported by Ivan Fratric
    - CVE-2018-16071: Use after free in WebRTC. Reported by Natalie Silvanovich
    - CVE-2018-16073: Site Isolation bypass after tab restore. Reported by Jun
      Kokatsu
    - CVE-2018-16074: Site Isolation bypass using Blob URLS. Reported by Jun
      Kokatsu
    - CVE-2018-16075: Local file access in Blink. Reported by Pepe Vila


=== debian/control ===
Source: chromium
Section: web
Priority: optional
Maintainer: Debian Chromium Team <chromium-browser@packages.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>, Riku Voipio <riku.voipio@linaro.org>
Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
Homepage: http://www.chromium.org/Home
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 devscripts (>= 2.18.9),
 python3,
 pkg-config,
 ninja-build,
 python-jinja2,
 ca-certificates,
 wget,
 flex,
 yasm,
 xvfb,
 wdiff,
 gperf,
 bison,
 valgrind,
 xz-utils,
 x11-apps,
 xfonts-base,
 libglewmx-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 mesa-common-dev,
 libxt-dev,
 libre2-dev,
 libgbm-dev,
 libpng-dev,
 libxss-dev,
 libelf-dev,
 libvpx-dev (>= 1.7.0),
 libpci-dev,
 libcap-dev,
 libdrm-dev,
 libicu-dev,
 libffi-dev,
 libkrb5-dev,
 libexif-dev,
 libflac-dev,
 libudev-dev,
 libopus-dev,
 libwebp-dev,
 libxtst-dev,
 libsrtp-dev,
 libjpeg-dev,
 libxml2-dev,
 libgtk-3-dev,
 libxslt1-dev,
 liblcms2-dev,
 libpulse-dev,
 libpam0g-dev,
 libsnappy-dev,
 libavutil-dev,
 libavcodec-dev (>= 7:3.0),
 libavformat-dev,
 libglib2.0-dev,
 libasound2-dev,
 libjsoncpp-dev,
 libspeechd-dev (>= 0.8.4),
 libminizip-dev,
 libhunspell-dev,
 libharfbuzz-dev (>= 2.1.1),
 libusb-1.0-0-dev,
 libopenjp2-7-dev,
 libmodpbase64-dev,
 libnss3-dev (>= 3.12.3),
 libnspr4-dev (>= 2:4.9),
 libcups2-dev (>= 1.5.0),
 libevent-dev (>= 1.4.13),
 libjs-jquery,
 libjs-jquery-flot,
 libgcrypt20-dev,
 fonts-ipafont-gothic,
 fonts-ipafont-mincho,
Standards-Version: 4.2.1

Package: chromium
Architecture: i386 amd64 arm64 armhf
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium-common (= ${binary:Version}),
Recommends:
 chromium-sandbox,
Suggests:
 chromium-l10n,
 chromium-shell,
 chromium-driver,
Provides:
 www-browser,
 gnome-www-browser,
Breaks:
 chromium-lwn4chrome (<= 1.0-2),
 chromium-tt-rss-notifier (<= 0.5.2-2),
Conflicts:
 libnettle4,
 libsecret-1-0 (<< 0.18),
 libgl1-mesa-swx11,
Description: web browser
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the web browser component.

Package: chromium-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 chromium (>= ${source:Version}), chromium (<< ${source:Version}.1~),
Description: web browser - language packs
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains language packages for:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: chromium-shell
Architecture: i386 amd64 arm64 armhf
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium-common (= ${binary:Version}),
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - minimal shell
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a minimal version of the chromium user interface
 (the content shell).

Package: chromium-driver
Architecture: i386 amd64 arm64 armhf
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium (= ${binary:Version}),
Description: web browser - WebDriver support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a bridge between the browser component and the selenium
 automatic webdriver.

Package: chromium-common
Architecture: i386 amd64 arm64 armhf
Depends:
 ${misc:Depends},
 x11-utils,
 xdg-utils,
Recommends:
 upower,
 libu2f-udev,
 libgl1-mesa-dri,
 chromium-sandbox,
 fonts-liberation,
 notification-daemon,
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - common resources used by the chromium packages
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains resources that are in common to different chromium
 packages.

Package: chromium-sandbox
Architecture: i386 amd64 arm64 armhf
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 chromium (<< ${binary:Version}),
Replaces:
 chromium (<< ${binary:Version}),
Description: web browser - setuid security sandbox for chromium
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the setuid chromium sandbox.
